GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::fft_burst_tagger_impl Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Member Functions | List of all members
gr::iridium::fft_burst_tagger_impl Class Reference

`#include <fft_burst_tagger_impl.h>`

Inheritance diagram for gr::iridium::fft_burst_tagger_impl:
[legend]

## Public Member Functions
| fft_burst_tagger_impl (float center_frequency, int fft_size, int sample_rate, int burst_pre_len, int burst_post_len, int burst_width, int max_bursts, float threshold, int history_size, bool debug)
| ~fft_burst_tagger_impl ()
uint64_t | get_n_tagged_bursts ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual uint64_t | get_n_tagged_bursts ()=0

## Additional Inherited Members
Public Types inherited from gr::iridium::fft_burst_tagger
typedef boost::shared_ptr< fft_burst_tagger > | sptr
Static Public Member Functions inherited from gr::iridium::fft_burst_tagger
static sptr | make (float center_frequency, int fft_size, int sample_rate, int burst_pre_len, int burst_post_len, int burst_width, int max_bursts=0, float threshold=7, int history_size=512, bool debug=false)
| Return a shared_ptr to a new instance of iridium::fft_burst_tagger. More...

## Constructor & Destructor Documentation

## ◆ fft_burst_tagger_impl()

gr::iridium::fft_burst_tagger_impl::fft_burst_tagger_impl | ( | float | center_frequency,
|  | int | fft_size,
|  | int | sample_rate,
|  | int | burst_pre_len,
|  | int | burst_post_len,
|  | int | burst_width,
|  | int | max_bursts,
|  | float | threshold,
|  | int | history_size,
|  | bool | debug
| ) |  |

## ◆ ~fft_burst_tagger_impl()

gr::iridium::fft_burst_tagger_impl::~fft_burst_tagger_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_n_tagged_bursts()

uint64_t gr::iridium::fft_burst_tagger_impl::get_n_tagged_bursts | ( |  | ) |
| virtual

Implements gr::iridium::fft_burst_tagger.

## ◆ work()

int gr::iridium::fft_burst_tagger_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- fft_burst_tagger_impl.h